import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * This class defines a crab. Crabs are invasive and need to be destroyed.
 * 
 * 
 * The crab is cpu controlled and spawns more crabs. 
 */

public class Crab extends Animal
{
    /** 
     * Act - do whatever the crab wants to do. This method is called whenever
     *  the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        move();
        randomTurn();
        spawn();
        turnAtEdge();
    }
    /**
     * Spawns more crabs randomly from this crab's location.
     */
    public void spawn()
    { 
       int num = Greenfoot.getRandomNumber(650);
       if(num <= 1)
       {
           getWorld().addObject(new Crab(), getX(), getY());
       }
    }
    /**
     * Randomly decide to turn from the current direction, or not. If we turn
     * turn a bit left or right by a random degree.
     */
    public void randomTurn()
    {
        if(Greenfoot.getRandomNumber(100) > 90) {
            turn(Greenfoot.getRandomNumber(90)-45);
        }
    }
}