import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Displays current "Energy"
 */
public class EnergyBar  extends Actor
{
    //Set up the images
    GreenfootImage img0 = new GreenfootImage("E0.png");
    GreenfootImage img1 = new GreenfootImage("E1.png");
    GreenfootImage img2 = new GreenfootImage("E2.png");
    GreenfootImage img3 = new GreenfootImage("E3.png");
    GreenfootImage img4 = new GreenfootImage("E4.png");
    GreenfootImage img5 = new GreenfootImage("E5.png");
    /**
     * Act - do whatever the EnergyBar wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkSpiders();
    }    
    public void checkSpiders()
    {
        /**
         * If the energy bar is full, display it as full 
         * until you summon your five helper lobsters.
         */
        if(((CrabWorld) getWorld()).helpersLeft > 0)
        {
            setImage(img5);
        }
        /**
         * If there's no helpers to use, change to the corresponding image.
         * For example, If you've eaten 3 spiders, set the image 
         * to img3...etc...
         */
         if(((CrabWorld) getWorld()).helpersLeft == 0)
        {
           
            if(((CrabWorld) getWorld()).spidersEaten == 0)
            {
               setImage(img0);
            }
                 if(((CrabWorld) getWorld()).spidersEaten == 1)
            {
                setImage(img1);
            }
            if(((CrabWorld) getWorld()).spidersEaten == 2)
            {
                setImage(img2);
            }
            if(((CrabWorld) getWorld()).spidersEaten == 3)
            {
                setImage(img3);
            }
            if(((CrabWorld) getWorld()).spidersEaten == 4)
            {
                setImage(img4);
            }
             if(((CrabWorld) getWorld()).spidersEaten == 5)
            {
                setImage(img5);
            }
        }
    }
}
