import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * This is the score board. It displays your score.
 */
public class Score extends Actor
{   
    GreenfootImage image = new GreenfootImage(200, 30);
    
    public Score(int health)
    {
        image.setColor(Color.white);
        image.drawString("Score: " + health, 10, 15);
        setImage(image);
    }
    
    /**
     * Act - Updates the current score. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        image.clear();
        image.drawString("Score: " + ((CrabWorld) getWorld()).score, 10, 15);
        
    }    
}